%global momorel 1

# Pass --without docs to rpmbuild if you don't want the documentation
Name: 		git
Version: 	1.6.0.1
Release:	%{momorel}m%{?dist}
Summary:  	Core git tools
License: 	GPLv2
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/git/
Source0: 	http://kernel.org/pub/software/scm/git/%{name}-%{version}.tar.bz2
NoSource:	0
Source1:	git-init.el
Source2:	git.xinetd
Source3:	git.conf.httpd
Patch0:		git-1.5-gitweb-home-link.patch
BuildRequires:	zlib-devel >= 1.2, openssl-devel, curl-devel >= 7.16.0, expat-devel  %{!?_without_docs:, xmlto, asciidoc > 6.0.3}
BuildRequires:	emacs, gettext
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	perl-Git = %{version}-%{release}
Requires:	zlib >= 1.2, rsync, curl, less, openssh-clients, expat, perl(Error)
Requires:	bash-completion
Provides:	git-core
Obsoletes:	git-core

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

The git rpm installs the core tools with minimal dependencies.  To
install all git packages, including tools for integrating with other
SCMs, install the git-all meta-package.

%package all
Summary:	Meta-package to pull in all git tools
Group:		Development/Tools
Requires:	git = %{version}-%{release}
Requires:	git-svn = %{version}-%{release}
Requires:	git-cvs = %{version}-%{release}
Requires:	git-arch = %{version}-%{release}
Requires:	git-email = %{version}-%{release}
Requires:	gitk = %{version}-%{release}
Requires:	git-gui = %{version}-%{release}
Requires:	perl-Git = %{version}-%{release}
Requires:	emacs-git = %{version}-%{release}
Obsoletes:	git <= 1.5.4.3

%description all
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

This is a dummy package which brings in all subpackages.

%package daemon
Summary:	Git protocol daemon
Group:		Development/Tools
Requires:	zlib >= 1.2, rsync, rcs, curl, less, openssh-clients, python >= 2.3, expat
Requires:	git = %{version}-%{release}
%description daemon
The git daemon for supporting git:// access to git repositories

%package -n gitweb
Summary:        Simple web interface to git repositories
Group:          Development/Tools
Requires:       git = %{version}-%{release}

%description -n gitweb
Simple web interface to track changes in git repositories


%package svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       git = %{version}-%{release}, subversion, perl(Term::ReadKey)

%description svn
Git tools for importing Subversion repositories.

%package cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       git = %{version}-%{release}, cvs, cvsps

%description cvs
Git tools for importing CVS repositories.

%package arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tla

%description arch
Git tools for importing Arch repositories.

%package email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:	git = %{version}-%{release}, perl-Git = %{version}-%{release}

%description email
Git tools for sending email.

%package gui
Summary:        Git GUI tool
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tk >= 8.4

%description gui
Git GUI tool.

%package -n gitk
Summary:        Git revision tree visualiser
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tk >= 8.4

%description -n gitk
Git revision tree visualiser ('gitk')

%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
Requires:       git = %{version}-%{release}, perl(Error)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(Error), perl(ExtUtils::MakeMaker)

%description -n perl-Git
Perl interface to Git.

%package -n emacs-git
Summary:       Git version control system support for Emacs
Group:         Applications/Editors
Requires:      git = %{version}-%{release}, emacs-common

%description -n emacs-git
%{summary}.

%define path_settings ETC_GITCONFIG=/etc/gitconfig prefix=%{_prefix} mandir=%{_mandir} htmldir=%{_docdir}/%{name}-core-%{version}

%prep
%setup -q
%patch0 -p1

%build
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
     %{path_settings} \
     all %{!?_without_docs: doc}
make -C contrib/emacs

%install
rm -rf $RPM_BUILD_ROOT
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT \
     %{path_settings} \
     INSTALLDIRS=vendor install %{!?_without_docs: install-doc}
make -C contrib/emacs install \
		 emacsdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
for elc in $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/*.elc ; do
	install -pm 644 contrib/emacs/$(basename $elc .elc).el \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
done
install -Dpm 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d/git-init.el
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/git
mkdir -p $RPM_BUILD_ROOT/var/www/git
install -m 644 -t $RPM_BUILD_ROOT/var/www/git gitweb/*.png gitweb/*.css
install -m 755 -t $RPM_BUILD_ROOT/var/www/git gitweb/gitweb.cgi
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/git.conf.dist

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'

(find $RPM_BUILD_ROOT%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^$RPM_BUILD_ROOT@@)               > bin-man-doc-files
(find $RPM_BUILD_ROOT%{_libexecdir}/git-core -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citool|git-daemon" | sed -e s@^$RPM_BUILD_ROOT@@)               >> bin-man-doc-files
(find $RPM_BUILD_ROOT%{perl_vendorlib} -type f | sed -e s@^$RPM_BUILD_ROOT@@) >> perl-files
%if %{!?_without_docs:1}0
(find $RPM_BUILD_ROOT%{_mandir} $RPM_BUILD_ROOT/Documentation -type f | grep -vE "archimport|svn|git-cvs|email|gitk|git-gui|git-citool" | sed -e s@^$RPM_BUILD_ROOT@@ -e 's/$/*/' ) >> bin-man-doc-files
%else
rm -rf $RPM_BUILD_ROOT%{_mandir}
%endif
mkdir -p $RPM_BUILD_ROOT/srv/git

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 -T contrib/completion/git-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/git


%clean
rm -rf $RPM_BUILD_ROOT


%files -f bin-man-doc-files
%defattr(-,root,root)
%{_datadir}/git-core/
%doc README COPYING Documentation/*.txt
%{!?_without_docs: %doc Documentation/*.html Documentation/howto}
%{!?_without_docs: %doc Documentation/technical}
%{_sysconfdir}/bash_completion.d/git


%files svn
%defattr(-,root,root)
%{_libexecdir}/git-core/*svn*
%doc Documentation/*svn*.txt
%{!?_without_docs: %{_mandir}/man1/*svn*.1*}
%{!?_without_docs: %doc Documentation/*svn*.html }

%files cvs
%defattr(-,root,root)
%doc Documentation/*git-cvs*.txt
%{_libexecdir}/git-core/*cvs*
%{!?_without_docs: %{_mandir}/man1/*cvs*.1*}
%{!?_without_docs: %doc Documentation/*git-cvs*.html }

%files arch
%defattr(-,root,root)
%doc Documentation/git-archimport.txt
%{_libexecdir}/git-core/git-archimport
%{!?_without_docs: %{_mandir}/man1/git-archimport.1*}
%{!?_without_docs: %doc Documentation/git-archimport.html }

%files email
%defattr(-,root,root)
%doc Documentation/*email*.txt
%{_libexecdir}/git-core/*email*
%{!?_without_docs: %{_mandir}/man1/*email*.1*}
%{!?_without_docs: %doc Documentation/*email*.html }

%files gui
%defattr(-,root,root)
%{_libexecdir}/git-core/git-gui
%{_libexecdir}/git-core/git-citool
%{_datadir}/git-gui/
%{!?_without_docs: %{_mandir}/man1/git-gui.1*}
%{!?_without_docs: %doc Documentation/git-gui.html}
%{!?_without_docs: %{_mandir}/man1/git-citool.1*}
%{!?_without_docs: %doc Documentation/git-citool.html}

%files -n gitk
%defattr(-,root,root)
%doc Documentation/*gitk*.txt
%{_bindir}/*gitk*
%{_datadir}/gitk/lib/msgs/*.msg
%{!?_without_docs: %{_mandir}/man1/*gitk*.1*}
%{!?_without_docs: %doc Documentation/*gitk*.html }

%files -n perl-Git -f perl-files
%defattr(-,root,root)

%files -n emacs-git
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/*git*.el*
%{_datadir}/emacs/site-lisp/site-start.d/git-init.el

%files daemon
%defattr(-,root,root)
%{_libexecdir}/git-core/git-daemon
%config(noreplace)%{_sysconfdir}/xinetd.d/git
/srv/git

%files -n gitweb
%defattr(-,root,root)
/var/www/git/
%config(noreplace)%{_sysconfdir}/httpd/conf.d/git.conf.dist


%files all
# No files for you!

%changelog
* Wed Sep  3 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.6.0.1-1m)
- update 1.6.0.1

* Thu Aug 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-2m)
- merge T4R changes

* Thu Aug 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.6.0-1m)
- update 1.6.0

* Thu Jul 24 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.5.6.4-1m)
- update 1.5.6.4

* Sat Jul 12 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.6.2-1m)
- update 1.5.6.2

* Mon Jul  7 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.6.1-2m)
- rename git.conf to git.conf.dist

* Sat Jun 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.6.1-1m)
- update 1.5.6.1

* Sat Jun 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.6-1m)
- update 1.5.6

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.5.3-2m)
- rebuild against openssl-0.9.8h-1m

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.5.3-1m)
- update 1.5.5.3

* Fri May 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.5.2-3m)
- add Requires: bash-completion

* Thu May 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.5.2-2m)
- fix %%install section to avoid conflicting

* Wed May 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.5.2-1m)
- merge fedora patches
- Source1: git-init.el
- Source2: git.xinetd
- Source3: git.conf.httpd
- Patch0:  git-1.5-gitweb-home-link.patch
- add Requires

* Thu Apr 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.5.1-1m)
- update 1.5.5.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.4.5-2m)
- rebuild against gcc43

* Tue Apr  1 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.4.5-1m)
- update 1.5.4.5

* Thu Mar 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4.4-1m)
- update 1.5.4.4

* Wed Feb 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4.3-1m)
- update 1.5.4.3

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4.2-1m)
- update 1.5.4.2

* Mon Feb 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4.1-1m)
- update 1.5.4.1

* Sat Feb  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4-1m)
- update 1.5.4

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.5.3.8-2m)
- rebuild against perl-5.10.0-1m

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.3.8-1m)
- update 1.5.3.8

* Wed Dec 5 2007 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.5.3.7-1m)
- update to 1.5.3.7

* Tue Oct 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.3.4-2m)
- use build_p4 option and set %%global build_p4 0

* Tue Oct 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.3.4-1m)
- update 1.5.3.4

* Tue Aug 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.2.4-1m)
- update 1.5.2.4

* Thu Jul 12 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.5.2.3-1m)
- update 1.5.2.3

* Sun Jun 10 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.2.1-1m)
- update 1.5.2.1

* Thu May 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.2-2m)
- define PYTHON_PATH=%%{python_path}
- %%files fix

* Mon May 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.2-1m)
- update 1.5.2

* Tue May  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.1.3-1m)
- update

* Tue Apr 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.1.1-1m)
- update

* Sun Dec 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4.2-1m)
- update

* Fri Nov 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4.1-1m)
- update

* Wed Nov 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.4-1m)
- update

* Sun Nov 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.4.3.4-2m)
- rebuild against curl-7.16.0

* Fri Nov 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3.4-1m)
- update

* Tue Oct 31 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3.3-1m)
- update

* Sat Oct 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3.1-1m)
- update

* Thu Oct 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3-1m)
- update
- delete patch0
- add Git.pm into %%files core

* Tue Oct 17 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2.4-1m)
- update

* Mon Oct 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2.3-1m)
- update

* Sun Oct 01 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2.2-1m)
- update

* Wed Sep 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2.1-2m)
- add patch0

* Mon Sep 25 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2.1-1m)
- import to Momonga

* Fri Sep 22 2006 Chris Wright <chrisw@redhat.com> 1.4.2.1-1
- git-1.4.2.1

* Mon Sep 11 2006 Chris Wright <chrisw@redhat.com> 1.4.2-1
- git-1.4.2

* Thu Jul 6 2006 Chris Wright <chrisw@redhat.com> 1.4.1-1
- git-1.4.1

* Tue Jun 13 2006 Chris Wright <chrisw@redhat.com> 1.4.0-1
- git-1.4.0

* Thu May 4 2006 Chris Wright <chrisw@redhat.com> 1.3.3-1
- git-1.3.3
- enable git-email building, prereqs have been relaxed

* Thu May 4 2006 Chris Wright <chrisw@redhat.com> 1.3.2-1
- git-1.3.2

* Fri Apr 28 2006 Chris Wright <chrisw@redhat.com> 1.3.1-1
- git-1.3.1

* Wed Apr 19 2006 Chris Wright <chrisw@redhat.com> 1.3.0-1
- git-1.3.0

* Mon Apr 10 2006 Chris Wright <chrisw@redhat.com> 1.2.6-1
- git-1.2.6

* Wed Apr 5 2006 Chris Wright <chrisw@redhat.com> 1.2.5-1
- git-1.2.5

* Wed Mar 1 2006 Chris Wright <chrisw@redhat.com> 1.2.4-1
- git-1.2.4

* Wed Feb 22 2006 Chris Wright <chrisw@redhat.com> 1.2.3-1
- git-1.2.3

* Tue Feb 21 2006 Chris Wright <chrisw@redhat.com> 1.2.2-1
- git-1.2.2

* Thu Feb 16 2006 Chris Wright <chrisw@redhat.com> 1.2.1-1
- git-1.2.1

* Mon Feb 13 2006 Chris Wright <chrisw@redhat.com> 1.2.0-1
- git-1.2.0

* Tue Feb 1 2006 Chris Wright <chrisw@redhat.com> 1.1.6-1
- git-1.1.6

* Tue Jan 24 2006 Chris Wright <chrisw@redhat.com> 1.1.4-1
- git-1.1.4

* Sun Jan 15 2006 Chris Wright <chrisw@redhat.com> 1.1.2-1
- git-1.1.2

* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 1.1.1-1
- git-1.1.1

* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 1.1.0-1
- Update to latest git-1.1.0 (drop git-email for now)
- Now creates multiple packages:
-	 git-core, git-svn, git-cvs, git-arch, gitk

* Mon Nov 14 2005 H. Peter Anvin <hpa@zytor.com> 0.99.9j-1
- Change subpackage names to git-<name> instead of git-core-<name>
- Create empty root package which brings in all subpackages
- Rename git-tk -> gitk

* Thu Nov 10 2005 Chris Wright <chrisw@osdl.org> 0.99.9g-1
- zlib dependency fix
- Minor cleanups from split
- Move arch import to separate package as well

* Tue Sep 27 2005 Jim Radford <radford@blackbean.org>
- Move programs with non-standard dependencies (svn, cvs, email)
  into separate packages

* Tue Sep 27 2005 H. Peter Anvin <hpa@zytor.com>
- parallelize build
- COPTS -> CFLAGS

* Fri Sep 16 2005 Chris Wright <chrisw@osdl.org> 0.99.6-1
- update to 0.99.6

* Fri Sep 16 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Linus noticed that less is required, added to the dependencies

* Sun Sep 11 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Updated dependencies
- Don't assume manpages are gzipped

* Thu Aug 18 2005 Chris Wright <chrisw@osdl.org> 0.99.4-4
- drop sh_utils, sh-utils, diffutils, mktemp, and openssl Requires
- use RPM_OPT_FLAGS in spec file, drop patch0

* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.99.4-3
- use dist tag to differentiate between branches
- use rpm optflags by default (patch0)
- own %{_datadir}/git-core/

* Mon Aug 15 2005 Chris Wright <chrisw@osdl.org>
- update spec file to fix Buildroot, Requires, and drop Vendor

* Sun Aug 07 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Redid the description
- Cut overlong make line, loosened changelog a bit
- I think Junio (or perhaps OSDL?) should be vendor...

* Thu Jul 14 2005 Eric Biederman <ebiederm@xmission.com>
- Add the man pages, and the --without docs build option

* Wed Jul 7 2005 Chris Wright <chris@osdl.org>
- initial git spec file
